*** orig/gdb-4.12/readline/readline.c	Mon Jul 25 23:37:26 1994
--- src/gdb-4.12/readline/readline.c	Mon Jul 25 23:38:38 1994
***************
*** 244,250 ****
  #define HANDLE_SIGNALS
  
  #ifdef __GO32__
! #include <sys/pc.h>
  #undef HANDLE_SIGNALS
  #endif
  
--- 244,250 ----
  #define HANDLE_SIGNALS
  
  #ifdef __GO32__
! #include <pc.h>
  #undef HANDLE_SIGNALS
  #endif
  
***************
*** 355,363 ****
--- 355,365 ----
     parser directives. */
  static unsigned char parsing_conditionalized_out = 0;
  
+ #ifndef __GO32__
  /* Caseless strcmp (). */
  static int stricmp (), strnicmp ();
  static char *strpbrk ();
+ #endif
  
  /* Non-zero means to save keys that we dispatch on in a kbd macro. */
  static int defining_kbd_macro = 0;
***************
*** 6411,6416 ****
--- 6413,6419 ----
  
  static char *strindex ();
  
+ #ifndef __GO32__
  /* Return pointer to first occurance in STRING1 of any character from STRING2,
     or NULL if no occurance found. */
  static char *
***************
*** 6431,6436 ****
--- 6434,6440 ----
      }
    return (NULL);
  }
+ #endif
  
  /* Return non-zero if any members of ARRAY are a substring in STRING. */
  static int
***************
*** 6446,6451 ****
--- 6450,6456 ----
    return (0);
  }
  
+ #ifndef __GO32__
  /* Whoops, Unix doesn't have strnicmp. */
  
  /* Compare at most COUNT characters from string1 to string2.  Case
***************
*** 6483,6488 ****
--- 6488,6494 ----
      }
    return (*string1 | *string2);
  }
+ #endif
  
  /* Determine if s2 occurs in s1.  If so, return a pointer to the
     match in s1.  The compare is case insensitive. */
